Deliverability API · Alpha / unstable
Retrieve bounce totals, trends, and per-domain rates
GET
/bounces
const url = 'https://api.builders.ac/api/deliverability/v1alpha1/bounces?range=1h';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.builders.ac/api/deliverability/v1alpha1/bounces?range=1h' \ --header 'Authorization: Bearer <token>'This aggregate resource intentionally omits mailbox-level event payloads; individual events belong to the Mailbox Events API.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”range
string
Time window. Defaults to 7d.
sender_id
string
Restrict data to one sender owned by the authenticated account.
domain_id
string
Restrict data to one domain owned by the authenticated account.
Responses
Section titled “Responses”Bounce analytics
Media typeapplication/json
object
totals
required
object
hard
required
integer
soft
required
integer
pending
required
integer
sent
required
integer
rate_unavailable
required
string | null
by_esp
required
object
microsoft
required
integer
google
required
integer
others
required
integer
trend
required
Array<object>
object
day
required
string
date
string format: date
microsoft
required
integer
google
required
integer
others
required
integer
by_domain
required
Array<object>
object
domain_id
required
string
name
required
string
sent
required
integer
bounces
required
integer
hard_bounces
required
integer
soft_bounces
required
integer
pending_bounces
required
integer
sent_incomplete
required
boolean
rate_unavailable
required
string | null
rate
required
number | null
Examplegenerated
{ "totals": { "hard": 1, "soft": 1, "pending": 1, "sent": 1, "rate_unavailable": "example" }, "by_esp": { "microsoft": 1, "google": 1, "others": 1 }, "trend": [ { "day": "example", "date": "2026-04-15", "microsoft": 1, "google": 1, "others": 1 } ], "by_domain": [ { "domain_id": "example", "name": "example", "sent": 1, "bounces": 1, "hard_bounces": 1, "soft_bounces": 1, "pending_bounces": 1, "sent_incomplete": true, "rate_unavailable": "example", "rate": 1 } ]}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}RFC 9457 problem details
Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "retryable": true, "correlation_id": "example", "retry_after": "2026-04-15T12:00:00Z", "errors": { "additionalProperty": [ "example" ] }}